Bug 124377 - incorrect default kernel params (more like innapropiate)
incorrect default kernel params (more like innapropiate)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-05-25 23:28 EDT by daniel
Modified: 2015-01-04 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 02:06:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description daniel 2004-05-25 23:28:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8a2)
Gecko/20040525 Firefox/0.8

Description of problem:
this should be broken in 2 bugs, both related to innapropiate kernel
param defaults:

1. mouse: when using intelligent switchers, switching to a different
machine and back, your mouse operations go to lala land. this happens
with all the mouse models and switchers... 
solution: add the follwing default kernel param: linux ...etc...

2. video-card: with several video cards and monitors i've used you are
unable to detect the max refresh rates of the monitor so, implicitly
your distro goes to lala land... this happens after you went away from
solution: add the follwing default kernel param: linux ...etc... nofb
or go to the x.org's config file and un-comment the right horisontal
and veritcal refresh settings...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install fc2
2. switch to a different machine & come back / restart


Actual Results:  mouse enters lala-land / your monitor is asked a
refresh rate it's not capable of serving...

Expected Results:  you should be able to use the mouse after switching
you should be able to use your monitor after restart

Additional info:

Comment 1 Alan Cox 2004-06-18 21:27:40 EDT
The mouse one is hard to fix. the exact ps mode depends upon what the
keyboard switch emulates and whether it emulates even when the mouse
is on that port.

I'm interested in your comment that nofb helps get DDC probing to
work. Can you give me more hardware info here ?
Comment 2 Dave Jones 2005-04-16 02:06:02 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.